Package fr.gouv.vitam.common.server.application.resources

# Class BasicVitamStatusServiceImpl

java.lang.Object
fr.gouv.vitam.common.server.application.resources.BasicVitamStatusServiceImpl

All Implemented Interfaces:
  `VitamStatusService`

public class BasicVitamStatusServiceImpl extends Object implements VitamStatusService
BasicVitamStatusServiceImpl : Manage Basic Functionality of Status Service

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BasicVitamStatusServiceImpl()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `com.fasterxml.jackson.databind.node.ObjectNode`
  `getAdminStatus()`
  getAdminStatus return the overall status of this component with the constraint delay of less than 10ms and shall return by default empty JsonNode.
  `boolean`
  `getResourcesStatus()`
  getResourcesStatus return the overall status of this component with the constraint delay of less than 10ms.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### BasicVitamStatusServiceImpl

    public BasicVitamStatusServiceImpl()

- ## Method Details

  - ### getResourcesStatus

    public boolean getResourcesStatus()
    Description copied from interface: `VitamStatusService`
    getResourcesStatus return the overall status of this component with the constraint delay of less than 10ms.
    Specified by:
      `getResourcesStatus` in interface `VitamStatusService`
    Returns:
      boolean

  - ### getAdminStatus

    public com.fasterxml.jackson.databind.node.ObjectNode getAdminStatus() throws InvalidParseOperationException
    Description copied from interface: `VitamStatusService`
    getAdminStatus return the overall status of this component with the constraint delay of less than 10ms and shall return by default empty JsonNode.
    Specified by:
      `getAdminStatus` in interface `VitamStatusService`
    Returns:
      ServerIdentity
    Throws:
      `InvalidParseOperationException`